<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from transform.texi on 28 April 1999 -->

<TITLE>The TRANSFORM Library - Transformation Annotations</TITLE>
<link href="transform_7.html" rel=Previous>
<link href="transform_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="transform_1.html">first</A>, <A HREF="transform_7.html">previous</A>, next, last section, <A HREF="transform_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC8" HREF="transform_toc.html#TOC8">Transformation Annotations</A></H2>

<P>
The method <CODE>annotate_doalls</CODE> appends 
a <CODE>doall</CODE> annotation to the corresponding <CODE>tree_for</CODE> node.
It uses the boolean doall array in the <CODE>loop_transform</CODE> class
to determine whether or not a loop is a doall. See section <A HREF="transform_2.html#SEC2">Loop Transformations</A>.
The methods <CODE>unimodular_transform</CODE> and <CODE>tiling_transform</CODE> 
will also generate the doall annotations, if the the boolean doall array is
present.

</P>
<P>
The <CODE>tiling_transform</CODE> method generates two additional annotations:

</P>
<DL COMPACT>

<DT><CODE>tiled, tiled-c</CODE>
<DD>
These annotations are attached to the outermost loop in the region.
They consist of an integer giving the depth of the original region, followed
by  a list of booleans indicating whether the loops are doalls.
The <CODE>tiled</CODE> annotation is used for non-coalesced regions. If the region 
is coalesced then the annotation's name is changed to <CODE>tiled-c</CODE>.

<DT><CODE>fp-inner</CODE>
<DD>
This annotation is attached to all the inner loops created by tiling.
</DL>

<P><HR><P>
<p>Go to the <A HREF="transform_1.html">first</A>, <A HREF="transform_7.html">previous</A>, next, last section, <A HREF="transform_toc.html">table of contents</A>.
</BODY>
</HTML>
